<?php $html = $this->getHtmlSlider(); ?>
<?php $fullwidth = $this->getFullscreen(); ?>
<?php $fullheight = $this->getFullheight(); ?>
<?php $offset = $this->getOffset(); ?>

<?php if($html != ""): ?>
	<?php $tpControls = $this->getTemplateControls() ?>
	<?php $customclass = $this->getCustomclass() ?>
	<?php $blockId = rand() . time(); ?>
	<?php $animated = $this->getAnimateSlider(); ?>

    <div id="page-header-sliders" class="page-header-sliders template-<?php echo $tpControls ?> <?php if($fullheight): ?> fullscreen-slider<?php endif ?><?php if($fullwidth): ?> full-width<?php endif ?>">

        <?php if($fullwidth): ?><div class="row"><?php endif ?>
        <div id="mgs-slider-<?php echo $blockId ?>" class="slider_mgs_carousel owl-carousel">
            <?php echo html_entity_decode($html) ?>
        </div>
        <?php if($fullwidth): ?></div><?php endif ?>

    </div>

	<script type="text/javascript">
		require([
			'jquery',
			'mgs/owlcarousel'
		], function(jQuery){
			(function($) {
				<?php if($fullheight): ?>
										var windowView = window.outerWidth;
										var sliderHeight = $(window).height();
										var offset = 0;
                    <?php if($offset): ?>
                        var offset = $('<?php echo $offset ?>').height();
                    <?php endif ?>

					if (windowView > 1023) {
						$(".fullscreen-slider").height(sliderHeight - offset);

						$(window).resize(function() {
							$(".fullscreen-slider").height($(window).height() - offset);
						});
					}
				<?php endif ?>

                $("#mgs-slider-<?php echo $blockId ?>").on('initialized.owl.carousel', function(event) {
                    setTimeout(function(){
                        $("#page-header-sliders").addClass('loaded');
                    }, 500);
                });

				$("#mgs-slider-<?php echo $blockId ?>").owlCarousel({
					items: 1,
                    rtl: RTL,
					loop: <?php echo $this->getLoop(); ?>,
					nav: <?php echo $this->getControlNav(); ?>,
					dots: <?php echo $this->getControlDots(); ?>,
					autoplayTimeout: <?php echo $this->getAutoSpeed(); ?>,
					// autoplay: <?php echo $this->getAutoPlay(); ?>,
					autoplay: true,
					autoplayHoverPause: <?php echo $this->getStopAuto() ? 'true' : 'false'; ?>,
					animateOut: '<?php echo $animated['out'] ?>',
					animateIn: '<?php echo $animated['in'] ?>',
                    <?php if($tpControls == 1): ?>
                        navText: ["<i class='lnr lnr-chevron-left'></i>","<i class='lnr lnr-chevron-right'></i>"],
                    <?php elseif($tpControls == 2): ?>
                        navText: ["<i class='lnr lnr-arrow-up'></i>","<i class='lnr lnr-arrow-down'></i>"],
                    <?php elseif($tpControls == 4): ?>
                        navText: ["<i class='lnr lnr-arrow-left'></i>","<i class='lnr lnr-arrow-right'></i>"],
                    <?php endif ?>
                    responsive:{
                        0:{
                            nav: false,
                            dots: true
                        },
                        992:{
                            nav: <?php echo $this->getControlNav(); ?>,
                            dots: <?php echo $this->getControlDots(); ?>
                        }
                    }
				});
			})(jQuery);
		});
	</script>
<?php else: ?>
	<div role="alert" class="alert alert-warning"><?php echo __('There are no sliders matching the selection.') ?></div>
<?php endif ?>
